// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
var newsApp = angular.module('starter', ['ionic', 'ionic-material', 'starter.controllers', 'firebase', 'ngCordova'])

.run(function($ionicPlatform) {
    $ionicPlatform.ready(function() {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }
    });
})

.config(function($stateProvider, $urlRouterProvider) {
    $stateProvider

    .state('app', {
        url: '/app',
        abstract: true,
        templateUrl: 'templates/menu.html',
        controller: 'AppCtrl'
    })
	.state('app.dashboard', {
        url: '/dashboard/:id',
        views: {
            'menuContent': {
                templateUrl: function($routeParams){
					if($routeParams.id == 'favorite') return 'templates/favorite.html';
					if($routeParams.id == 'home') return 'templates/initial.html';
					if($routeParams.id != 'home') return 'templates/dashboard.html';
				},
                controller: 'dashboardCtrl'
            }
        }
    });
	

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/app/dashboard/home');
});
