newsApp.factory('serviceNews',function($http, $q, local){
	var date = new Date();
	var currentDate = date.getDate() + "/" + (date.getMonth() + 1) + "/" + date.getFullYear();
	
	return{
		currentNews : [],
		getNewsList: function(query){
			query = query.replace(new RegExp('getslash', 'g'),'/');
			query = query.replace(new RegExp('getamberson', 'g'),'&');
			query = query.replace(new RegExp('getquestion', 'g'),'?');
			query = query.split('gethash');
			this.currentNews = query;
			var defer = $q.defer();
			
			if(local.storage().get(query[1]) && local.storage().get(query[1]).dataDate == currentDate){
				defer.resolve(local.storage().get(query[1]).content, 'local');
			}else{
				$http.get('http://newsfeedmobile.appspot.com?paper=' + query[0] + '&topic=' + query[1] + '&url=' + query[2]).then(function(data){
					var news = {dataDate : currentDate, content : data.data};
					news.content.titleIndex = query[1];
					local.storage().add(query[1], news);
					
					
					defer.resolve(data.data, 'live');
				}, function(error){
					defer.reject(error);
				});
			}
			return defer.promise;
		},
		getDetail: function(query, index, type){
			var defer = $q.defer();
			if(local.storage().get(type) && local.storage().get(type).dataDate == currentDate && local.storage().get(type).content.value[index].long_description[0] != ''){
				local.storage().get(type).content.value[index].isFavorite = (local.storage().get(type).content.value[index].isFavorite != undefined) ? local.storage().get(type).content.value[index].isFavorite : false;
				var news = {newsIndex : index, newsType : type, url: query, content: local.storage().get(type).content.value[index] };
				defer.resolve({content: local.storage().get(type).content.value[index].long_description[0], news: news});
			}else{
				$http.get('http://newsfeedmobile.appspot.com?type=fullcontent&url=' + query).then(function(data){
					var tempDesc = local.storage().get(type);
					tempDesc.content.value[index].long_description[0] = data.data[0];
					
					if(local.storage().get('recent')){
						var recent = local.storage().get('recent');
						tempDesc.content.value[index].isFavorite = false;
						var news = {newsIndex : index, newsType : type, url: query, content: tempDesc.content.value[index] };
						recent.push(news);
						local.storage().add('recent', recent);
					}else{
						var recent = [];
						tempDesc.content.value[index].isFavorite = false;
						var news = {newsIndex : index, newsType : type, url: query, content: tempDesc.content.value[index] };
						recent.push(news);
						local.storage().add('recent', recent);
					}
					local.storage().add(type, tempDesc);
					defer.resolve({content: data.data[0], news: news});
				}, function(error){
					defer.reject(error);
				});
			}
			return defer.promise;
		}
	}
});